Bug 463653 - [LTC 6.0 FEAT] 201299:Large Pages: Dynamic resize of hugepage Pool
[LTC 6.0 FEAT] 201299:Large Pages: Dynamic resize of hugepage Pool
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel (Show other bugs)
6.0
All All
high Severity high
: alpha
: 6.0
Assigned To: Kevin W Monroe
Martin Jenner
: FutureFeature
Depends On:
Blocks: 356741
  Show dependency treegraph
 
Reported: 2008-09-24 01:11 EDT by IBM Bug Proxy
Modified: 2010-05-06 11:54 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-23 18:12:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description IBM Bug Proxy 2008-09-24 01:11:05 EDT
=Comment: #0=================================================
Emily J. Ratliff <emilyr@us.ibm.com> - 2008-09-16 18:11 EDT
1. Feature Overview:
Feature Id:	[201299]
a. Name of Feature:	Large Pages: Dynamic resize of hugepage Pool
b. Feature Description
Previously boot-time reserve was the only really workable option, but this feature gives more
general availability of large pages via on-demand resizing of the large page pool.  Upon pool
depletion, pages are temporarily allocated if possible.  Boot time reservation is also more flexible
(kernelcore and movablecore kernel boot parameters allow memory to be partitioned, eg:
http://www.csn.ul.ie/~mel/docs/poolmanagement/).  These come 'for free' with a current kernel, but
the distro may desire documentation for the system administrator and test coverage.

2. Feature Details:
Sponsor:	LTC
Architectures:
x86
x86_64
ppc64

Arch Specificity: Both
Affects Core Kernel: Yes
Delivery Mechanism: Direct from community
Category:	Kernel
Request Type:	Kernel - Enhancement from IBM
d. Upstream Acceptance:	Accepted
Sponsor Priority	1
f. Severity: High
IBM Confidential:	no
Code Contribution:	IBM code
g. Component Version Target:	2.6.24

3. Business Case
Increased ease of use of large pages enables improving performance in a larger user base.  In
particular for batch job oriented systems (eg: HPC) with widely varying large page requirements from
job to job, this enables resizing the hugepage pool without requiring rebooting between each job.

4. Primary contact at Red Hat: 
John Jarvis
jjarvis@redhat.com

5. Primary contacts at Partner:
Project Management Contact:
Michael Hohnbaum, hbaum@us.ibm.com, 503-578-5486

Technical contact(s):
Badari Pulavarty, badari@us.ibm.com
Mel Gorman, MELGOR@ie.ibm.com

IBM Manager:
Larry Kessler, lkessler@us.ibm.com
Comment 1 Bill Nottingham 2008-10-02 17:00:08 EDT
RHEL 6 will include at least a 2.6.24 kernel, so this should not be a problem.

The feature requested has already been accepted into the upstream code base
planned for the next major release of Red Hat Enterprise Linux.

When the next milestone release of Red Hat Enterprise Linux 6 is available,
please verify that the feature requested is present and functioning as
desired.
Comment 2 IBM Bug Proxy 2009-03-02 19:40:26 EST
All the code is accepted into mainline 2.6.24 with the sysfs interface merged in 2.6.27. There are no special patches needed for RHEL6.
Comment 3 Kevin W Monroe 2009-09-23 18:12:43 EDT
Closing - included in Red Hat Enterprise Linux 6.
Comment 4 IBM Bug Proxy 2010-05-06 11:54:26 EDT
------- Comment From ebmunson@us.ibm.com 2010-05-06 11:43 EDT-------
Verified against RHEL 6 Snap 1 and all is well.

Note You need to log in before you can comment on or make changes to this bug.